# Job submission configuration file
#

# This is copied from <https://gitlab.oit.duke.edu/chsi-informatics/bc_stats_rstudio>, which was forked from <https://gitlab.oit.duke.edu/OIT-DCC/bc_stats_rstudio>
# Set up some stuff via ERB template for job submission
<%-
  memreq = mem.blank? ? '2' : mem.to_s
  memreq = memreq + 'G'

  numcpus = cpus.blank? ? 2 : cpus.to_i

  argarr = addargs.split(" ")

  slurm_args = ["--mem","#{memreq}","-c","#{numcpus}"] + argarr
%>
---

#
# Configure the content of the job script for the batch job here
# @see http://www.rubydoc.info/gems/ood_core/OodCore/BatchConnect/Template
#

batch_connect:
  template: "basic"


#
# Configure the job script submission parameters for the batch job here
# @see http://www.rubydoc.info/gems/ood_core/OodCore/Job/Script
#
#script:
#  queue_name: "queue1"
#  accounting_id: "account1"
#  email_on_started: true
#  native: # ... array of command line arguments ...

script:
  native:
  <%- slurm_args.each do |arg| %>
    - "<%= arg %>"
  <%- end %>
